UimaUtil (Apache OpenNLP :: Ext :: UIMA Annotators 3.0.0-M4 API)
Description: declaration: package: opennlp.uima.util, class: UimaUtil

Package opennlp.uima.util

# Class UimaUtil

java.lang.Object
opennlp.uima.util.UimaUtil

public final class UimaUtil extends Object
Defines constants and provides utility methods for uima operations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ADDITIONAL_TRAINING_DATA_ENCODING`
  `static final String`
  `ADDITIONAL_TRAINING_DATA_FILE`
  `static final String`
  `BEAM_SIZE_PARAMETER`
  The beam size parameter.
  `static final String`
  `CUTOFF_PARAMETER`
  `static final String`
  `DICTIONARY_PARAMETER`
  `static final String`
  `IS_REMOVE_EXISTINGS_ANNOTAIONS`
  `static final String`
  `ITERATIONS_PARAMETER`
  `static final String`
  `LANGUAGE_PARAMETER`
  `static final String`
  `MODEL_PARAMETER`
  The model parameter.
  `static final String`
  `POS_FEATURE_PARAMETER`
  The pos feature parameter.
  `static final String`
  `PROBABILITY_FEATURE_PARAMETER`
  `static final String`
  `SENTENCE_TYPE_PARAMETER`
  The sentence type parameter.
  `static final String`
  `TOKEN_TYPE_PARAMETER`
  The token type parameter.
  `static final String`
  `TRAINING_PARAMS_FILE_PARAMETER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `removeAnnotations(org.apache.uima.cas.CAS cas, org.apache.uima.cas.text.AnnotationFS containerAnnotation, org.apache.uima.cas.Type type)`
  Removes all annotations of type removeAnnotationType which are contained by annotations of type containerAnnotationType.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TOKEN_TYPE_PARAMETER

    public static final String TOKEN_TYPE_PARAMETER
    The token type parameter.
    See Also:
      - Constant Field Values

  - ### POS_FEATURE_PARAMETER

    public static final String POS_FEATURE_PARAMETER
    The pos feature parameter.
    See Also:
      - Constant Field Values

  - ### MODEL_PARAMETER

    public static final String MODEL_PARAMETER
    The model parameter.
    See Also:
      - Constant Field Values

  - ### SENTENCE_TYPE_PARAMETER

    public static final String SENTENCE_TYPE_PARAMETER
    The sentence type parameter.
    See Also:
      - Constant Field Values

  - ### BEAM_SIZE_PARAMETER

    public static final String BEAM_SIZE_PARAMETER
    The beam size parameter.
    See Also:
      - Constant Field Values

  - ### LANGUAGE_PARAMETER

    public static final String LANGUAGE_PARAMETER
    See Also:
      - Constant Field Values

  - ### DICTIONARY_PARAMETER

    public static final String DICTIONARY_PARAMETER
    See Also:
      - Constant Field Values

  - ### TRAINING_PARAMS_FILE_PARAMETER

    public static final String TRAINING_PARAMS_FILE_PARAMETER
    See Also:
      - Constant Field Values

  - ### CUTOFF_PARAMETER

    public static final String CUTOFF_PARAMETER
    See Also:
      - Constant Field Values

  - ### ITERATIONS_PARAMETER

    public static final String ITERATIONS_PARAMETER
    See Also:
      - Constant Field Values

  - ### PROBABILITY_FEATURE_PARAMETER

    public static final String PROBABILITY_FEATURE_PARAMETER
    See Also:
      - Constant Field Values

  - ### IS_REMOVE_EXISTINGS_ANNOTAIONS

    public static final String IS_REMOVE_EXISTINGS_ANNOTAIONS
    See Also:
      - Constant Field Values

  - ### ADDITIONAL_TRAINING_DATA_FILE

    public static final String ADDITIONAL_TRAINING_DATA_FILE
    See Also:
      - Constant Field Values

  - ### ADDITIONAL_TRAINING_DATA_ENCODING

    public static final String ADDITIONAL_TRAINING_DATA_ENCODING
    See Also:
      - Constant Field Values

- ## Method Details

  - ### removeAnnotations

    public static void removeAnnotations(org.apache.uima.cas.CAS cas, org.apache.uima.cas.text.AnnotationFS containerAnnotation, org.apache.uima.cas.Type type)
    Removes all annotations of type removeAnnotationType which are contained by annotations of type containerAnnotationType.
    Parameters:
      `cas` - The `CAS` to use.
      `containerAnnotation` - The `AnnotationFS` of the container.
      `type` - The `type` to remove annotations for.
    Throws:
      `IllegalArgumentException` - Thrown if parameters were invalid.